#pragma once

#include "CoreMinimal.h"
#include "BaseBehaviourDetectionComponent.h"
#include "DBDTunableRowHandle.h"
#include "BehaviourDetectionComponent_Tunneling_SurvivorStatusObscuration.generated.h"

UCLASS(Blueprintable, Abstract, meta=(BlueprintSpawnableComponent))
class UBehaviourDetectionComponent_Tunneling_SurvivorStatusObscuration : public UBaseBehaviourDetectionComponent
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FDBDTunableRowHandle _survivorStatusObcurationDuration;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	bool _isExitGatePowered;

public:
	UBehaviourDetectionComponent_Tunneling_SurvivorStatusObscuration();
};

FORCEINLINE uint32 GetTypeHash(const UBehaviourDetectionComponent_Tunneling_SurvivorStatusObscuration) { return 0; }
